GIS - Task #7818

Studying OGC services with Publish / Subscription for Open source forum.

04/03/2019 16:33 - Debojyoti Mallick

Status: Resolved Start date: 04/03/2019
Priority: Normal Due date:

Assignee: Debojyoti Mallick % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

OGC services can be published for data meant to be publicly available.

History

#1 - 04/03/2019 16:34 - Debojyoti Mallick
Debojyoti Mallick wrote:

OGC services can be published for data meant to be publicly available.

http:// . n ial.org/is/13-131r1/13-131r1.html#14

https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs

#2 - 04/03/2019 17:18 - Debojyoti Mallick
Debojyoti Mallick wrote:

Debojyoti Mallick wrote:

OGC services can be published for data meant to be publicly available.

http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14

https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs

We can publish OGC services using Geoserver : http:/geoserver.org/ (Still looking into it)
http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
http://geoserver.org/

#3 - 05/03/2019 11:21 - Debojyoti Mallick
Debojyoti Mallick wrote:

Debojyoti Mallick wrote:
Debojyoti Mallick wrote:

OGC services can be published for data meant to be publicly available.

http: . n ial.org/is/13-131r1/13-131r1.html#14

https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs

We can publish OGC services using Geoserver : http:/geoserver.org/ (Still looking into it)

Basic presentation on GeoServer : https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209

#4 - 05/03/2019 18:05 - Debojyoti Mallick

- Status changed from New to In Progress

#5 - 06/03/2019 16:28 - Debojyoti Mallick
Debojyoti Mallick wrote:

Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:

OGC services can be published for data meant to be publicly available.

http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14

https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
http://geoserver.org/
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209
http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs

We can publish OGC services using Geoserver : http:/geoserver.org/ (Still looking into it)

Basic presentation on GeoServer : https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209

Tasks completed :

Installation of GeoServer: https://docs.geoserver.org/stable/en/user/installation/index.html#installation
Glancing through the web administration interface :
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html

Publishing a shapefile : https://docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html
Creating a PostGIS work-space and a PostGIS Data Store :

https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html

Connected to AVGIS Database - host: "gisdb.csr.av", port: "5432", database:"avgis" with read-only capabilities

Pending: Understanding schemas of already existing datasets in avgis so that we can resolve errors to compute the bounds of the layer in GeoServer
(compute from data),in order to publish them.

#6 - 06/03/2019 17:09 - Debojyoti Mallick
Debojyoti Mallick wrote:

Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:

OGC services can be published for data meant to be publicly available.
http://geoserver.org/
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209
https://docs.geoserver.org/stable/en/user/installation/index.html#installation
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html

http://docs.opengeospatial.org/is/13-131r1/13-131r1.htmi#14

https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs

We can publish OGC services using Geoserver : http:/geoserver.org/ (Still looking into it)

Basic presentation on GeoServer : https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209

Tasks completed :

Installation of GeoServer: https:/docs.geoserver.org/stable/en/user/installation/index.html#installation
Glancing through the web administration interface :
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html

Publishing a shapefile : https:/docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html
Creating a PostGIS work-space and a PostGIS Data Store :
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html

Connected to AVGIS Database - host: "gisdb.csr.av", port: "5432", database:"avgis" with read-only capabilities

Pending: Understanding schemas of already existing datasets in avgis so that we can resolve errors to compute the bounds of the layer in

GeoServer (compute from data),in order to publish them.

Pending Task completed : schemas need to be defined in the datastore AVGIS. eg : In Edit Vector Data Source under schema put

"other_tdc" in order to publish contours.
http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
http://geoserver.org/
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209
https://docs.geoserver.org/stable/en/user/installation/index.html#installation
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html

#7 - 07/03/2019 10:57 - Debojyoti Mallick
Debojyoti Mallick wrote:

Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:

OGC services can be published for data meant to be publicly available.

https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs

We can publish OGC services using Geoserver : http:/geoserver.org/ (Still looking into it)

Basic presentation on GeoServer : h

Tasks completed :

Installation of GeoServer: https:/docs.geoserver.org/stable/en/user/installation/index.html#installation
Glancing through the web administration interface :

https:// . rver.or le/en r in rted/web-admin-quickstart/index.html

Publishing a shapefile : https:/docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html
Creating a PostGIS work-space and a PostGIS Data Store :

https:// . rver.or le/en r in r is-quick index.html

Connected to AVGIS Database - host: "gisdb.csr.av", port: "5432", database:"avgis" with read-only capabilities

Pending: Understanding schemas of already existing datasets in avgis so that we can resolve errors to compute the bounds of the layer in
GeoServer (compute from data),in order to publish them.

Pending Task completed : schemas need to be defined in the datastore AVGIS. eg : In Edit Vector Data Source under schema put
"other_tdc" in order to publish contours.

Understanding the Web Administration Interface : https://docs.geoserver.org/stable/en/user/webadmin/index.html#web-admin

Understanding Workspaces: https:
http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
http://geoserver.org/
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209
https://docs.geoserver.org/stable/en/user/installation/index.html#installation
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html
https://docs.geoserver.org/stable/en/user/webadmin/index.html#web-admin
https://docs.geoserver.org/stable/en/user/data/webadmin/workspaces.html#isolated-workspaces

#8 - 07/03/2019 11:02 - Debojyoti Mallick
Debojyoti Mallick wrote:

Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:

OGC services can be published for data meant to be publicly available.

http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14

https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs

We can publish OGC services using Geoserver : http:/geoserver.org/ (Still looking into it)

Basic presentation on GeoServer : https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209

Tasks completed :

Installation of GeoServer: https: . rver.or le/en r/installation/index.htmi#installation
Glancing through the web administration interface :
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html

Publishing a shapefile : https: . rver.or le/en r in r hapefile-quick /index.html
Creating a PostGIS work-space and a PostGIS Data Store :
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html

Connected to AVGIS Database - host: "gisdb.csr.av", port: "5432", database:"avgis" with read-only capabilities

Pending: Understanding schemas of already existing datasets in avgis so that we can resolve errors to compute the bounds of the
layer in GeoServer (compute from data),in order to publish them.

Pending Task completed : schemas need to be defined in the datastore AVGIS. eg : In Edit Vector Data Source under schema
put "other_tdc" in order to publish contours.

Understanding the Web Administration Interface : https: . rver.or le/en r/w min/index.html#wi

Understanding Workspaces: https://docs.geoserver.org/stable/en/user/data/webadmin/workspaces.html#isolated-workspaces (need some

understanding with isolated workspaces)
http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
http://geoserver.org/
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209
https://docs.geoserver.org/stable/en/user/installation/index.html#installation
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html
https://docs.geoserver.org/stable/en/user/webadmin/index.html#web-admin
https://docs.geoserver.org/stable/en/user/data/webadmin/workspaces.html#isolated-workspaces

#9 - 07/03/2019 11:57 - Debojyoti Mallick
Debojyoti Mallick wrote:

Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:

OGC services can be published for data meant to be publicly available.

http://docs.opengeospatial.org/is/13-131r1/13-131r1.htmi#14

We can publish OGC services using Geoserver : http:/geoserver.org/ (Still looking into it)

Basic presentation on GeoServer :
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209

Tasks completed :

Installation of GeoServer: https: . rver.or le/en r/installation/index.html#in

Glancing through the web administration interface :
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html

Publishing a shapefile : https:/, . rver.or le/en r in r hapefile-quickstart/index.html
Creating a PostGIS work-space and a PostGIS Data Store :
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html

Connected to AVGIS Database - host: "gisdb.csr.av", port: "5432", database:"avgis" with read-only capabilities

Pending: Understanding schemas of already existing datasets in avgis so that we can resolve errors to compute the bounds of
the layer in GeoServer (compute from data),in order to publish them.

Pending Task completed : schemas need to be defined in the datastore AVGIS. eg : In Edit Vector Data Source under
schema put "other_tdc" in order to publish contours.

Understanding the Web Administration Interface : https: . rver.or le/en r/w min/index.html#w:

Understanding Workspaces: https://docs.geoserver.org/stable/en/user/data/webadmin/workspaces.html#isolated-workspaces (need some

understanding with isolated workspaces)
http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
http://geoserver.org/
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209
https://docs.geoserver.org/stable/en/user/installation/index.html#installation
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html
https://docs.geoserver.org/stable/en/user/webadmin/index.html#web-admin
https://docs.geoserver.org/stable/en/user/data/webadmin/workspaces.html#isolated-workspaces

Understanding OGC and WCS services from Digital Globe :
https://dg-cms-uploads-production.s3.amazonaws.com/uploads/document/file/172/DGCS_DeveloperGuide WCS.pdf

#10 - 08/03/2019 10:05 - Debojyoti Mallick

Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:

OGC services can be published for data meant to be publicly available.

http://docs.opengeospatial.org/is/13-131r1/13-131r1.htmli#14

We can publish OGC services using Geoserver : http:/geoserver.org/ (Still looking into it)

Basic presentation on GeoServer :
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209

Tasks completed :

Installation of GeoServer: https: . rver.or le/en r/installation/index.html#in

Glancing through the web administration interface :
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html

Publishing a shapefile : https: . rver.org/ le/en I in r hapefile-quickstart/index.html
Creating a PostGIS work-space and a PostGIS Data Store :
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html

Connected to AVGIS Database - host: "gisdb.csr.av", port: "5432", database:"avgis" with read-only capabilities
https://dg-cms-uploads-production.s3.amazonaws.com/uploads/document/file/172/DGCS_DeveloperGuide_WCS.pdf
http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
http://geoserver.org/
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209
https://docs.geoserver.org/stable/en/user/installation/index.html#installation
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html

Pending: Understanding schemas of already existing datasets in avgis so that we can resolve errors to compute the bounds
of the layer in GeoServer (compute from data),in order to publish them.

Pending Task completed : schemas need to be defined in the datastore AVGIS. eg : In Edit Vector Data Source under
schema put "other_tdc" in order to publish contours.

Understanding the Web Administration Interface : https://docs.geoserver.org/stable/en/user/webadmin/index.html#web-admin

Understanding Workspaces: hitps:/docs.geoserver.org/stable/en/user/data/webadmin/workspaces.html#isolated-workspaces (need
some understanding with isolated workspaces)

Understanding OGC and WCS services from Digital Globe :
https://dg-cms-uploads-production.s3.amazonaws.com/uploads/document/file/172/DGCS_DeveloperGuide WCS.pdf

Standards of Web Processing Services: http://www.opengeospatial.org/standards/wps

#11 - 08/03/2019 10:12 - Debojyoti Mallick
Debojyoti Mallick wrote:
https://docs.geoserver.org/stable/en/user/webadmin/index.html#web-admin
https://docs.geoserver.org/stable/en/user/data/webadmin/workspaces.html#isolated-workspaces
https://dg-cms-uploads-production.s3.amazonaws.com/uploads/document/file/172/DGCS_DeveloperGuide_WCS.pdf
http://www.opengeospatial.org/standards/wps

Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:

OGC services can be published for data meant to be publicly available.

http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14

https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs

We can publish OGC services using Geoserver : http:/geoserver.org/ (Still looking into it)

Basic presentation on GeoServer :
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209

Tasks completed :

Installation of GeoServer: https://docs.geoserver.org/stable/en/user/installation/index.html#installation
Glancing through the web administration interface :
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html

Publishing a shapefile :
https://docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html

Creating a PostGIS work-space and a PostGIS Data Store :
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html

Connected to AVGIS Database - host: "gisdb.csr.av", port: "5432", database:"avgis" with read-only
capabilities

Pending: Understanding schemas of already existing datasets in avgis so that we can resolve errors to compute the
bounds of the layer in GeoServer (compute from data),in order to publish them.

Pending Task completed : schemas need to be defined in the datastore AVGIS. eg : In Edit Vector Data Source
under schema put "other_tdc" in order to publish contours.

Understanding the Web Administration Interface : https://docs.geoserver.org/stable/en/user/webadmin/index.html#web-admin

Understanding Workspaces: https:/docs.geoserver.org/stable/en/user/data/webadmin/workspaces.html#isolated-workspaces
http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
http://geoserver.org/
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209
https://docs.geoserver.org/stable/en/user/installation/index.html#installation
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html
https://docs.geoserver.org/stable/en/user/webadmin/index.html#web-admin
https://docs.geoserver.org/stable/en/user/data/webadmin/workspaces.html#isolated-workspaces

(need some understanding with isolated workspaces)

Understanding OGC and WCS services from Digital Globe :
https://dg-cms-uploads-production.s3.amazonaws.com/uploads/document/file/172/DGCS_DeveloperGuide WCS.pdf

Standards of Web Processing Services: http://www.opengeospatial.org/standards/wps
"file:///C:/Users/giulio/Downloads/05-007r7_Web_Processing_Service_ WPS_v1.0.0.pdf"

#12 - 08/03/2019 10:24 - Debojyoti Mallick
Debojyoti Mallick wrote:

Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:
Debojyoti Mallick wrote:

OGC services can be published for data meant to be publicly available.

http: . n ial.org/is/13-131r1/13-131r1.html#14

https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
https://dg-cms-uploads-production.s3.amazonaws.com/uploads/document/file/172/DGCS_DeveloperGuide_WCS.pdf
http://www.opengeospatial.org/standards/wps
http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs

We can publish OGC services using Geoserver : http:/geoserver.org/ (Still looking into it)

Basic presentation on GeoServer :
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209

Tasks completed :

Installation of GeoServer: https:/docs.geoserver.org/stable/en/user/installation/index.html#installation
Glancing through the web administration interface :
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html

Publishing a shapefile :
https://docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html

Creating a PostGIS work-space and a PostGIS Data Store :
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html

Connected to AVGIS Database - host: "gisdb.csr.av", port: "5432", database:"avgis" with read-only
capabilities

Pending: Understanding schemas of already existing datasets in avgis so that we can resolve errors to compute
the bounds of the layer in GeoServer (compute from data),in order to publish them.

Pending Task completed : schemas need to be defined in the datastore AVGIS. eg : In Edit Vector Data
Source under schema put "other_tdc" in order to publish contours.

Understanding the Web Administration Interface :
https://docs.geoserver.org/stable/en/user/webadmin/index.html#web-admin

Understanding Workspaces:

https://docs.geoserver.org/stable/en/user/data/webadmin/workspaces.html#isolated-workspaces (need some understanding

with isolated workspaces)

Understanding OGC and WCS services from Digital Globe :
https://dg-cms-uploads-production.s3.amazonaws.com/uploads/document/file/172/DGCS_DeveloperGuide_ WCS.pdf

Standards of Web Processing Services: http://www.opengeospatial.org/standards/wps
"file:///C:/Users/giulio/Downloads/05-007r7_Web_Processing_Service_ WPS_v1.0.0.pdf"

Virtual Services: https:/docs.geoserver.org/stable/en/user/configuration/virtual-services.html#virtual-services
http://geoserver.org/
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209
OGC services can be published for data meant to be publicly available.

http:/ .open ial.org/is/13-131r1/13-131r1.html#14

https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc
-wfs

We can publish OGC services using Geoserver : http:/geoserver.org/ (Still looking into it)

Basic presentation on GeoServer :
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209

Tasks completed :

Installation of GeoServer:
https://docs.geoserver.org/stable/en/user/installation/index.html#installation
Glancing through the web administration interface :
https: . rver.or le/en r/gettin
Publishing a shapefile :
https://docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html

Creating a PostGIS work-space and a PostGIS Data Store :
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html

Connected to AVGIS Database - host: "gisdb.csr.av", port: "5432", database:"avgis" with read-only
capabilities

Pending: Understanding schemas of already existing datasets in avgis so that we can resolve errors to
compute the bounds of the layer in GeoServer (compute from data),in order to publish them.

Pending Task completed : schemas need to be defined in the datastore AVGIS. eg : In Edit Vector Data
http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
http://geoserver.org/
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209
https://docs.geoserver.org/stable/en/user/installation/index.html#installation
https://docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html
https://docs.geoserver.org/stable/en/user/gettingstarted/postgis-quickstart/index.html

Source under schema put "other_tdc" in order to publish contours.

Understanding the Web Administration Interface :
https://docs.geoserver.org/stable/en/user/webadmin/index.html#web-admin

Understanding Workspaces:
https://docs.geoserver.org/stable/en/user/data/webadmin/workspaces.html#isolated-workspaces (need some
understanding with isolated workspaces)

Understanding OGC and WCS services from Digital Globe :
https://dg-cms-uploads-production.s3.amazonaws.com/uploads/document/file/172/DGCS_DeveloperGuide WCS.

paf

Standards of Web Processing Services: http://www.opengeospatial.org/standards/wps
"file:///C:/Users/giulio/Downloads/05-007r7_Web_Processing_Service_ WPS_v1.0.0.pdf"

Virtual Services: https://docs.geoserver.org/stable/en/user/configuration/virtual-services.html#virtual-services

Publishing a Geoserver Layer for use with MapBox Styles: https:/docs.geoserver.org/latest/en/user/styling/mbstyle/source.html
OGC services can be published for data meant to be publicly available.

http://docs.opengeospatial.org/is/13-131r1/13-131r1.html#14

https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html
#ogc-wfs

We can publish OGC services using Geoserver : http:/geoserver.org/ (Still looking into it)

Basic presentation on GeoServer :
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209

Tasks completed :

Installation of GeoServer:

https: . rver.or le/en r/installation/index.html#installation

Glancing through the web administration interface :
https:/docs.geoserver.org/stable/en/user/gettingstarted/web-admin-quickstart/index.html
Publishing a shapefile :
https://docs.geoserver.org/stable/en/user/gettingstarted/shapefile-quickstart/index.html
Creating a PostGIS work-space and a PostGIS Data Store :

https: . rver.or le/en r in r is-quick /index.html
Connected to AVGIS Database - host: "gisdb.csr.av", port: "5432", database:"avgis" with
read-only capabilities

Pending: Understanding schemas of already existing datasets in avgis so that we can resolve errors to
compute the bounds of the layer in GeoServer (compute from data),in order to publish them.
https://docs.qgis.org/2.8/en/docs/user_manual/working_with_ogc/ogc_client_support.html#ogc-wfs
http://geoserver.org/
https://www.slideshare.net/geosolutions/geoserver-an-introduction-for-beginners-37177209
https://docs.geoserver.org/stable/en/user/installation/index.html#installation
Pending Task completed : schemas need to be defined in the datastore AVGIS. eg : In Edit Vector
Data Source under schema put "other_tdc" in order to publish contours.

Understanding the Web Administration Interface :
https://docs.geoserver.org/stable/en/user/webadmin/index.html#web-admin

Understanding Workspaces:
https://docs.geoserver.org/stable/en/user/data/webadmin/workspaces.html#isolated-workspaces (need some
understanding with isolated workspaces)

Understanding OGC and WCS services from Digital Globe :

https://dg-cms-uploads-production.s3.amazonaws.com/uploads/document/file/172/DGCS_DeveloperGuide
WCS .pdf

Standards of Web Processing Services: http://www.opengeospatial.org/standards/wps
"file:///C:/Users/giulio/Downloads/05-007r7_Web_Processing_Service_ WPS_v1.0.0.pdf"

Virtual Services: https:/docs.geoserver.org/stable/en/user/configuration/virtual-services.html#virtual-services

Publishing a Geoserver Layer for use with MapBox Styles: https://docs.geoserver.org/latest/en/user/styling/mbstyle/source.html

Understanding the benefits of WFS and its respective operations on Geoserver : https://docs.geoserver.org/latest/en/user/services/wfs/reference.html
#15 - 23/03/2019 11:20 - Philippe May
- Project changed from Gisaf to GIS

#16 - 29/03/2019 10:37 - Debojyoti Mallick

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100
